<h1>Join Team Share</h1>

<%= form_with model: @transaction, url: transactions_do_team_share_path do |form| %>
  <%= render 'shared/form_error', model: @transaction %>

  <div class="mb-3">
    <%= form.label :wallet_id, "From Whose Wallet?", class: "form-label" %>
    <%= form.select :wallet_id, User.order(:name).collect { |u| [ u.name, u.wallet.id ] }, { prompt: 'Select User' }, { class: 'form-select' } %>
  </div>

  <div class="mb-3">
    <%= form.label :ref_wallet_id, "To Which Team?", class: "form-label" %>
    <%= form.select :ref_wallet_id, Team.order(:name).collect { |t| [ t.name, t.wallet.id ] }, { prompt: 'Select Team' }, { class: 'form-select' } %>
  </div>

  <div class="mb-3">
    <%= form.label :amount, "How Much?", class: "form-label" %>
    <%= form.number_field :amount, in: 100000..100000000, step: 100000, class: "form-control" %>
  </div>

  <div class="actions">
    <%= form.submit class: "btn btn-primary" %>
  </div>
<% end %>
